## helma.scripting.rhino
Class HopObjectCtor

    java.lang.Object
      org.mozilla.javascript.ScriptableObject
          org.mozilla.javascript.IdScriptableObject
              org.mozilla.javascript.BaseFunction
                  org.mozilla.javascript.FunctionObject
                      helma.scripting.rhino.HopObjectCtor

All Implemented Interfaces:
  java.io.Serializable, org.mozilla.javascript.Callable, org.mozilla.javascript.ConstProperties, org.mozilla.javascript.debug.DebuggableObject, org.mozilla.javascript.Function, org.mozilla.javascript.IdFunctionCall, org.mozilla.javascript.Scriptable

    public class HopObjectCtor

extends org.mozilla.javascript.FunctionObject

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mozilla.javascript.FunctionObject
`JAVA_BOOLEAN_TYPE, JAVA_DOUBLE_TYPE, JAVA_INT_TYPE, JAVA_OBJECT_TYPE, JAVA_SCRIPTABLE_TYPE, JAVA_STRING_TYPE, JAVA_UNSUPPORTED_TYPE`

Fields inherited from class org.mozilla.javascript.ScriptableObject
`CONST, DONTENUM, EMPTY, PERMANENT, READONLY, UNINITIALIZED_CONST`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`HopObjectCtor(java.lang.String protoName, RhinoCore core, org.mozilla.javascript.Scriptable prototype)` Create and install a HopObject constructor.

Method Summary
`java.lang.Object` `get(java.lang.String name, org.mozilla.javascript.Scriptable start)`
`static java.lang.Object` `jsConstructor(org.mozilla.javascript.Context cx, java.lang.Object[] args, org.mozilla.javascript.Function ctorObj, boolean inNewExpr)` This method is used as HopObject constructor from JavaScript.
`void` `put(java.lang.String name, org.mozilla.javascript.Scriptable start, java.lang.Object value)`

Methods inherited from class org.mozilla.javascript.FunctionObject
`addAsConstructor, call, convertArg, convertArg, createObject, getArity, getFunctionName, getLength, getMethodOrConstructor, getTypeTag`

Methods inherited from class org.mozilla.javascript.BaseFunction
`construct, execIdCall, fillConstructorProperties, findInstanceIdInfo, findPrototypeId, getClassName, getClassPrototype, getInstanceIdName, getInstanceIdValue, getMaxInstanceId, hasInstance, initPrototypeId, setImmunePrototypeProperty, setInstanceIdValue`

Methods inherited from class org.mozilla.javascript.IdScriptableObject
`activatePrototypeMap, addIdFunctionProperty, defaultGet, defaultPut, delete, exportAsJSClass, getAttributes, has, hasPrototypeMap, incompatibleCallError, initPrototypeConstructor, initPrototypeMethod, initPrototypeValue, instanceIdInfo, setAttributes`

Methods inherited from class org.mozilla.javascript.ScriptableObject

`associateValue, avoidObjectDetection, callMethod, callMethod, defineClass, defineClass, defineClass, defineConst, defineConstProperty, defineFunctionProperties, defineProperty, defineProperty, defineProperty, defineProperty, delete, deleteProperty, deleteProperty, equivalentValues, get, getAllIds, getAssociatedValue, getAttributes, getAttributes, getAttributes, getClassPrototype, getDefaultValue, getDefaultValue, getFunctionPrototype, getGetterOrSetter, getIds, getObjectPrototype, getParentScope, getProperty, getProperty, getPropertyIds, getPrototype, getTopLevelScope, getTopScopeValue, has, hasProperty, hasProperty, isConst, isSealed, put, putConst, putConstProperty, putProperty, putProperty, redefineProperty, sealObject, setAttributes, setAttributes, setAttributes, setGetterOrSetter, setParentScope, setPrototype`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mozilla.javascript.Scriptable
`delete, delete, get, getDefaultValue, getIds, getParentScope, getPrototype, has, has, put, setParentScope, setPrototype`

Constructor Detail

### HopObjectCtor

    public HopObjectCtor(java.lang.String protoName,
                         RhinoCore core,
                         org.mozilla.javascript.Scriptable prototype)

  Create and install a HopObject constructor. Part of this is copied from o.m.j.FunctionObject.addAsConstructor().

  Parameters:
    `prototype` -

Method Detail

### jsConstructor

    public static java.lang.Object jsConstructor(org.mozilla.javascript.Context cx,
                                                 java.lang.Object[] args,
                                                 org.mozilla.javascript.Function ctorObj,
                                                 boolean inNewExpr)
                                          throws org.mozilla.javascript.JavaScriptException

  This method is used as HopObject constructor from JavaScript.

  Throws:
    `org.mozilla.javascript.JavaScriptException`

### get

    public java.lang.Object get(java.lang.String name,
                                org.mozilla.javascript.Scriptable start)

  Specified by:
    `get` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `get` in class `org.mozilla.javascript.IdScriptableObject`

### put

    public void put(java.lang.String name,
                    org.mozilla.javascript.Scriptable start,
                    java.lang.Object value)

  Specified by:
    `put` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `put` in class `org.mozilla.javascript.IdScriptableObject`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.